lavalite(6x)

NAME
lavalite - 3D OpenGL simulation of a Lavalite.

SYNOPSIS
lavalite [--display host:display.screen] [--window] [--root] [--window-id number] [--visual visual] [--delay microseconds] [--fps] [--style style ] [--spin xyz ] [--no-spin ] [--speed float ] [--resolution integer ] [--count integer ] [--no-smooth ] [--wireframe ] [--impatient ] [--lava-color color ] [--fluid-color color ] [--base-color color ] [--table-color color ] [--fluid-texture filename ] [--base-texture filename ] [--table-texture filename ]

DESCRIPTION
The lavalite program displays a 3D simulation of the famous lamp of the same name. It requires a fast computer with fast OpenGL support.

OPTIONS
lavalite accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--style style
    Specify which model of lamp to draw. Available models are: Classic, Giant, Cone, and Rocket. Default: random.

--spin xyz
    Around which axes the model should auto-spin. Defaults to "Z", meaning it rotates horizontally, but otherwise pitch or roll.

--no-spin
    Same as --spin ''.

--speed float
    A number controlling the frequency at which new blobs launch: you can think of this as being related to the the heat of the lightbulb in the base. Default: 0.003.

--delay usecs
    The delay between steps of the animation; default is 30000 (0.03 second.)

--resolution integer
    The size of the grid from which the mesh is created that is used to polygonize the blobs. higher values will give very smooth looking blobs, at the expense of speed. Default: 40.

    The options "-resolution 10 -no-smooth" look kind of interesting.

--fps
    Display the current frame rate, CPU load, and polygon count.

--count integer
    The maximum number of blobs that can be in motion at once. Default: 3.

--no-smooth
    Turn off smoothing: the objects in the scene will be facetted.

--wireframe
    Render all objects in wireframe instead of as solids.

--impatient
    Provide this option if you are. This will pre-warm the lamp, so when it starts up, the first frame will show a blob already halfway up the lamp.

--lava-color color
    Specifies the color of the blobbies. Default: red.

--fluid-color color
    Specifies the color of the fluid that the blobbies float in. Default: light blue.

--base-color color
    Specifies the color of the lamp base, and the cap on top of the bottle. Default: very dark gray.

--table-color color
    Specifies the color of the table that the lamp is sitting on. Default: black (meaning it is invisible.)

--fluid-texture filename
    An image file to wrap around the glass.

    Note that on most systems, GL textures must have dimensions that are a power of two.

    Note also that colors and textures are both applied: so, if you apply a texture and it isn't showing up, try specifying the corresponding color as "white". Otherwise, the combination of the two might be too dark to see.

--base-texture filename
    An image file to wrap around the base of the lamp, and the cap on top of the bottle.

--table-texture texture
    An image file to spread across the table that the lamp is sitting on.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1),
https://www.mathmos.com/
https://web.archive.org/web/20010418035116/https%3A//www.lavarnd.org/

COPYRIGHT
Copyright © 2002 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

LAVA LITE® and the configuration of the LAVA® brand motion lamp are registered trademarks of Haggerty Enterprises, Inc. The configuration of the globe and base of the motion lamp are registered trademarks of Haggerty Enterprises, Inc. in the U.S.A. and in other countries around the world.

AUTHOR
Jamie Zawinski <jwz@jwz.org>